size_equal_only_decl.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`
`#include "msgpack/adaptor/msgpack_tuple.hpp"`

Go to the source code of this file.

## Classes

struct | msgpack::type::size_equal_only< T >

## Namespaces

| msgpack
| msgpack::type

## Functions

template<typename T >
size_equal_only< T > | msgpack::type::make_size_equal_only (T &t)
template<typename T >
std::size_t | msgpack::type::size (T const &t)
template<typename T , std::size_t N>
std::size_t | msgpack::type::size (const T(&)[N])
template<typename... T>
std::size_t | msgpack::type::size (std::tuple< T... > const &)